%define name		    icewm
%define version		    1.2.5
%define release		    1
%define group		    User Interface/Desktops

%define prefix		    %{_usr}
%define exec_prefix	    %{_usr}
%define sysconfdir	    %{_sysconfdir}
%define bindir		    %{exec_prefix}/bin/
%define libdir		    %{exec_prefix}/share/icewm/
%define locdir		    %{prefix}/share/locale/
%define docdir		    %{_docdir}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Fast and small X11 window manager
Group:		%{group}
License:	LGPL
URL:		http://www.icewm.org/
Packager:       Marko Macek <Marko.Macek@gmx.net>
Source:		http://download.sourceforge.net/icewm/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A lightweight window manager for the X Window System. Optimized for
"feel" and speed, not looks. Features multiple workspaces, opaque
move/resize, task bar, window list, clock, mailbox, CPU, Network, APM
status. 

%package l10n
Group:		%{group}
Summary:        GNOME menu support for icewm (using gnome 1.x)
Requires:       icewm > 1.2.2

%description l10n
GNOME 1.0 menu support for icewm (using gnome 1.x).

%package themes
Group:		%{group}
Summary:        Extra themes for icewm
Requires:       icewm > 1.2.2

%description themes
Extra themes for icewm. 

%package menu-gnome1
Group:		%{group}
Summary:        GNOME menu support for icewm (using gnome 1.x).
Requires:       icewm > 1.2.2
Requires:       gnome-libs >= 1.4

%description menu-gnome1
GNOME 1.0 menu support for icewm (using gnome 1.x).

%prep

%setup

%build
  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
     --prefix=%{prefix} \
     --exec-prefix=%{exec_prefix} \
     --sysconfdir=%{sysconfdir} \
     --with-docdir=%{docdir} \
     \
     --with-gnome-menus
  make

%install
  make DESTDIR=$RPM_BUILD_ROOT install

%clean
  test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS CHANGES TODO BUGS FAQ* doc/*.html doc/icewm.sgml
%doc icewm.lsm

%config %{libdir}/keys
%config %{libdir}/menu
%config %{libdir}/preferences
%config %{libdir}/toolbar
%config %{libdir}/winoptions

%dir %{libdir}/icons
%dir %{libdir}/ledclock
%dir %{libdir}/mailbox
%dir %{libdir}/taskbar
%dir %{libdir}/themes

%{bindir}/*
%{libdir}/icons/*
%{libdir}/ledclock/*
%{libdir}/mailbox/*
%{libdir}/taskbar/*
%{libdir}/themes/nice/*

%files menu-gnome1
%{bindir}/icewm-menu-gnome1

%files l10n
%dir %{locdir}
%{locdir}/*

%files themes
%dir %{libdir}/themes/nice2
%{libdir}/themes/nice2/*
%dir %{libdir}/themes/gtk2
%{libdir}/themes/gtk2/*
%dir %{libdir}/themes/warp3
%{libdir}/themes/warp3/*
%dir %{libdir}/themes/warp4
%{libdir}/themes/warp4/*
%dir %{libdir}/themes/motif
%{libdir}/themes/motif/*
%dir %{libdir}/themes/win95
%{libdir}/themes/win95/*
%dir %{libdir}/themes/metal2
%{libdir}/themes/metal2/*
%dir %{libdir}/themes/Infadel2
%{libdir}/themes/Infadel2/*

%changelog
* Sun Dec 15 2002 Marko Macek <marko.macek@gmx.net>
1.2.3pre2 - Completely rewritten and simplified packaging.

######################################################################
######################################################################
######################################################################
######################################################################
######################################################################
######################################################################
######################################################################
######################################################################
######################################################################
#
#%define base_apps	    icewm icewmbg icewmhint
#%define extra_apps	    icesh icehelp icesound
#%define gnome1_apps	    icewm-menu-gnome1
#
#pushd lite/%{name}-%{version} # --------------------- build the lite version ---
#  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
#    --prefix=%{prefix} --exec-prefix=%{exec_prefix} --sysconfdir=%{sysconfdir} \
#    --with-docdir=%{docdir} --disable-debug --enable-lite \
#    --disable-i18n --disable-nls --disable-guievents --disable-xfreetype \
#    --disable-sm --without-gnome-menus --with-xpm
#  make
#popd
#
#pushd gnome/%{name}-%{version} # ------------------- build the GNOME version ---
#  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
#      --prefix=%{prefix} --exec-prefix=%{exec_prefix} \
#      --sysconfdir=%{sysconfdir} --with-docdir=%{docdir} \
#      --disable-debug --enable-i18n --enable-nls --enable-guievents \
#      --with-icesound=oss,esd --with-gnome-menus --with-imlib && \
#    make
#
#pushd experimental/%{name}-%{version} # ----- build the experimental version ---
#  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
#      --prefix=%{prefix} --exec-prefix=%{exec_prefix} \
#      --sysconfdir=%{sysconfdir} --with-docdir=%{docdir} \
#      --disable-debug --enable-i18n --enable-nls --enable-guievents \
#      --with-icesound=oss,esd --with-gnome-menus --with-imlib \
#      --enable-movesize-fx --enable-antialiasing --enable-xfreetype \
#      --enable-gradients --enable-shaped-decorations && \
#    make
